### Signal

# Gdk Seat::device-added

since: 4.0

#### Declaration

    void
    device_added (
      GdkSeat* self,
      GdkDevice* device,
      gpointer user_data
    )

#### Description [src]

Emitted when a new input device is related to this seat.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`device`

  Type: `GdkDevice`

  The newly added `GdkDevice`.

  The data is owned by the caller of the function.